/*
 * Copyright 2005-2012 Schlichtherle IT Services
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 */
package de.schlichtherle.xml;

import java.beans.*;

/**
 * Thrown if a property is tried to set once a {@link GenericCertificate}
 * has been locked.
 *
 * @author  Christian Schlichtherle
 * @version $Id$
 */
public class GenericCertificateIsLockedException extends PropertyVetoException {
    private static final long serialVersionUID = 1L;

    public GenericCertificateIsLockedException(PropertyChangeEvent evt) {
        super(evt.getPropertyName(), evt);
    }
}
